#!/usr/bin/env node
const program = require('commander')
const actionHandle = require('../lib/init')

program
  .option('init <name>', '创建一个模版，<name>为模版文件名称')
  .option('-v, --version', '当前安装包的版本')

const options = program.opts()
if (options.version) console.log(`当前版本: ${require('../package.json').version}`)

program.version(require('../package.json').version)

program.command('init <name>')
  .description('初始化后台项目构建模板【模版内包含组件依赖，但不保证是最新组件依赖】')
  .action(actionHandle.runInit)

// program.command('init -login <name>')
//   .description('初始化后台项目构建模板【模版内包含组件依赖，但不保证是最新组件依赖】，存在登陆页面!!!')
//   .action(actionHandle.runInit)

// program.command('nologin <name>')
//   .description('初始化后台项目构建模板【模版内包含组件依赖，但不保证是最新组件依赖】，不存在登陆页面')
//   .action(actionHandle.runInit)

program.parse(process.argv)
